darcs

Issue 2277 darcs rebase unsuspend should have a --summary option

Title darcs rebase unsuspend should have a --summary option
Priority feature Status resolved
Milestone 2.10.0 HEAD Resolved in 2.10.0 HEAD
Superseder Nosy List dixiecko, jaredj, markstos
Assigned To dixiecko
Topics ProbablyEasy, Rebase, UI

Created on 2012-12-12.14:15:52 by markstos, last changed 2013-02-17.10:50:52 by noreply.

Messages
msg16395 (view) Author: markstos Date: 2012-12-12.14:15:50
1. Summarise the issue (what were doing, what went wrong?)

Tried "darcs rebase unsuspend --summary" to see summaries by default 
when running this command. This would be consistent with any other 
commands which work on lists of patches.

The --summary option does not exist, but summaries are clearly 
accessible, as they be accessed in the interactive review mode through 
"x".

2. What behaviour were you expecting instead?

I thought --summary would exist. 

3. What darcs version are you using? (Try: darcs --exact-version)

2.9.6
msg16641 (view) Author: kowey Date: 2013-02-16.14:57:05
Probably a one-liner.  Any sprinters interested?
msg16677 (view) Author: noreply Date: 2013-02-17.10:50:51
The following patch sent by Radoslav Dorcik <dixiecko@gmail.com> updated issue issue2277 with
status=resolved;resolvedin=2.10.0 HEAD

* Resolve issue2277: rebase suspend and unsuspend supports --summary. 
Ignore-this: 8bdb7d6780b68a45e9fa28309f62b1dc
History
Date User Action Args
2012-12-12 14:15:52markstoscreate
2013-02-16 14:57:08koweysetstatus: unknown -> needs-implementation
priority: feature
nosy: + jaredj
messages: + msg16641
topic: + ProbablyEasy, UI
milestone: 2.10.0 HEAD
2013-02-16 15:51:52dixieckosetassignedto: dixiecko
nosy: + dixiecko
2013-02-16 16:46:32dixieckosetstatus: needs-implementation -> has-patch
2013-02-16 16:46:45dixieckolinkpatch1037 issues
2013-02-17 10:50:52noreplysetstatus: has-patch -> resolved
messages: + msg16677
resolvedin: 2.10.0 HEAD